/* config.h */

#ifndef __CONFIG_H
#define __CONFIG_H

/* change this for your system's needs */
#ifndef MIXER_DEV
#define MIXER_DEV "/dev/mixer"
#endif
#ifndef DSP_DEV
#define DSP_DEV "/dev/dsp"
#endif

#ifndef PROGNAME_S
#define PROGNAME_S "mcplay"
#endif

#ifndef VERSION_S
#define VERSION_S "???"
#endif

#ifndef LOGDIR_S
#define LOGDIR_S "/tmp"
#endif

#define LOGFILE_S LOGDIR_S""G_DIR_SEPARATOR_S""PROGNAME_S".log"

/* if you have linux */
#include <linux/limits.h>
/* else */
/* #define PATH_MAX 1000 */
/* #define NAME_MAX 200 */

/* a useful macro */
#define NELEM(arr) (sizeof(arr)/sizeof(arr[0]))

#define COLORPROG 1
#define COLORMARK 2

/* max. bytes for the input buffer */
#define INPUT_MAX 256


#endif /* __CONFIG_H */
/* EOF */
