/* logger.h */

#ifndef __LOGGER_H
#define __LOGGER_H

#include <stdio.h>
#include <glib.h>

/* further g_log functions than in glib */
void g_debug( const gchar *format, ... );
void g_info( const gchar *format, ... );

typedef struct _LoggerData
{
   FILE *logfile;
} LoggerData;

void logger_open( const gchar *logfile );
void logger_close( void );
void logger_log( const gchar *domain, GLogLevelFlags log_level,
                 const gchar *message, LoggerData *data );

#endif /* __LOGGER_H */
